XISUITEDokumentation

Site Studio — Media

3 Endpunkte. Basis-URL: https://xapi.ambertech.cloud/api/v1

Delete a media file by its stored filename#

DELETE/funnels/{funnelId}/media/{fileName}Token

Parameter

NameOrtTypBeschreibung
funnelIdPflichtPfadstring–
fileNamePflichtPfadstring–

Antworten

  • 204Kein Inhalt
Beispiel (cURL)
curl -X DELETE "https://xapi.ambertech.cloud/api/v1/funnels/{funnelId}/media/{fileName}" \
  -H "Authorization: Bearer $XISUITE_TOKEN"

List all media files for a funnel#

GET/funnels/{funnelId}/media/filesToken

Parameter

NameOrtTypBeschreibung
funnelIdPflichtPfadstring–

Antworten

  • 200OK
Beispiel (cURL)
curl -X GET "https://xapi.ambertech.cloud/api/v1/funnels/{funnelId}/media/files" \
  -H "Authorization: Bearer $XISUITE_TOKEN"

Upload a media file (image or video) for a funnel#

POST/funnels/{funnelId}/media/uploadToken

Parameter

NameOrtTypBeschreibung
funnelIdPflichtPfadstring–

Antworten

  • 201Erstellt
Beispiel (cURL)
curl -X POST "https://xapi.ambertech.cloud/api/v1/funnels/{funnelId}/media/upload" \
  -H "Authorization: Bearer $XISUITE_TOKEN"
Stand: 25. Oktober 2026© 2026 XISUITE · AmberTech Solutions